<?
  /*
   * DEHTML  -  library to remove the HTML from a string
   * de_html - takes string, returns string w/ HTML code removed
   * bb_image - parses a bbcode [img] tag into an HTML image tag
   *
   * Copyright (C) Christopher Niggel 10-4-2002
   * See README for licensing information
   * BBCode is based on BBCode from www.phpbb.com
   */

   function de_html($string) {
	$string = strip_tags($string);
	return $string;
   }

   function bb_decode($string) {

   	/* Bold */
	$string = ereg_replace("\[b](.*)\[/b]", "<b>\\1</b>", $string);
	/* Slanted */
	$string = ereg_replace("\[i](.*)\[/i]", "<i>\\1</i>", $string);
	/* Underlined */
	$string = ereg_replace("\[u](.*)\[/u]", "<u>\\1</u>", $string);
	/* Image */
	$string = ereg_replace("\[img](.*)\[/img]","<img src=\\1>", $string);
	/* URL  */
	$string = ereg_replace("\[url=(.*)\](.*)\[/url]","<a href=\\1>\\2</a>", $string);
	/* email */
	$string = ereg_replace("\[email](.*)\[/email]","<a href=mailto:\\1>\\1</a>", $string);

	return $string;
   }
