<?php

  /*
   * ADMIN.php  -  administration page to control database
   * Copyright (C) Christopher Niggel 10-4-2002
   * See README for licensing information
   *
   * generates table of all table entries, allows for show/hide of individual entries
   * allows for purging of old entries, or individual entries
   * REQUIRES: db_library.php - database abstraction layer, see db_library for more
   *           dehtml.php - library to parse BBCode
   */

#define page settings
 include "../settings.php";

 #set variable for page -handles pagination
 if (!isset($_GET['page'])) $pagevalue = 0;
 else $pagevalue = ($_GET['page'] - 1);

 #setup database connection
 require "../db_library.php";
 $data_base = new DB_class;
 $data_base->Create();

 #setup html-removal library
 require "../dehtml.php";

#display page header
 echo(PAGEHEADER);

 echo("
	<table border=0 align=center width=100%>
	<tr>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Band</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Date</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Venue</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">City</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Time</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Price</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Details</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">View</font></td>
	<td bgcolor=" .TBL_BGCOLOR ." align=center><font " .TBL_FONT .">Delete</font></td>
	</tr>
	");

  #set todays date
  $todays_date = date("Y-m-d");
  #echo($todays_date); -debug

  #query database
  $data_base->Query("select * from TBL_SHOWS order by DATE");

  #loop through results and display
  #echo("$pagevalue"); -debug
  for($i= ($pagevalue * MAX_RESULTS) ; $i < (($pagevalue * MAX_RESULTS) + MAX_RESULTS) && $i < $data_base->rows ; $i++){
     $data_base->Fetch($i);
     $ID = urldecode($data_base->data[0]);
     $Band = urldecode($data_base->data[1]);
     $Date = $data_base->data[2];
     $Venue = urldecode($data_base->data[3]);
     $City = urldecode($data_base->data[4]);
     $Time = urldecode($data_base->data[5]);
     $Price = urldecode($data_base->data[6]);
     $Details = urldecode($data_base->data[7]);
     $Viewable = $data_base->data[8];

  #parse any bbcode in the details field into DETAILS_HTML for display
	$DETAILS_HTML = bb_decode($Details);

  #ROW COLORINGS
	  #change row color if even or odd, or on today's date
	  if ($Date == $todays_date) $bgcolor=BGCOLOR3;	//today's date
	  elseif ($i % 2) $bgcolor=BGCOLOR2;				//even rows
	  else $bgcolor=BGCOLOR1;							//odd rows

  #display the rows
  	 echo("
		<tr><form action=admin_handler.php method=post>
		<tr>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Band</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Date</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Venue</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$City</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Time</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$Price</font></td>
		<td bgcolor=$bgcolor><font " .TBL_FONT .">$DETAILS_HTML</font></td>
		<td bgcolor=$bgcolor>");
	if($Viewable) echo("<input type=submit name=submit value=Hide>");
	else echo("<input type=submit name=submit value=Show>");
	echo("</td>
		<td bgcolor=$bgcolor><input type=submit name=submit value=Delete>
		<input type=hidden value=$ID name=ID></td>
		</form></tr>
		");
	  };

	echo("</table>
			  <table border=0 width=100%>
			  <tr>
		  <td align=left>");
	#display the previous button
	if($pagevalue > 0) {
		$prev_page = $pagevalue;
		echo("<a href='?page=$prev_page'>Previous</a>");
	}

	#determine total number of pages
	$all_pages = ceil($data_base->rows / MAX_RESULTS);
	$current_page = $pagevalue + 1;

	echo(" showing page $current_page of $all_pages ");

	#display the next button
	if($pagevalue < ($all_pages - 1)) {
		$next_page = $pagevalue +2;
		echo("<a href='?page=$next_page'>Next</a>");
	}

	echo("</td>
		  </tr>
		  </table>

		<table border=1>
		<tr>
		<td>
		TOOLS:<br>
		<form action=admin_handler.php method=post>
		<input type=submit name=submit value=Purge> Purge old shows<br>
		<input type=submit name=submit value=View_All> Set all shows viewable<br>
		<input type=button value='Add Show' onClick=\"javascript:document.location.href='../addshow.php'\"> Add Show<br>
		<input type=button value='Exit' onClick=\"javascript:document.location.href='" .HOME_DIR ."'\"> Exit Administration<br>
		</form>
		</td>
		</tr>
		</table>");

#display page footer
	echo(PAGEFOOTER);


?>
